<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

wp_enqueue_style('awplife-tbms-toogle-css', TBMS_PLUGIN_URL .'assets/css/toogle-button.css');
wp_enqueue_script('awplife-tbms-popper-min-js', TBMS_PLUGIN_URL .'assets/js/popper.min.js', array('jquery'));
wp_enqueue_script('awplife-tbms-bootstrap-js', TBMS_PLUGIN_URL .'assets/js/bootstrap.js', array('jquery'));

// code
$tbms_post_settings = get_post_meta( $post->ID, 'tbms_post_data_'.$post->ID, true);
?>
<div class="team-titles"><?php _e('Member Image Size', TBMS_TXTDM); ?> </div>
<?php if(isset($tbms_post_settings['tbms_image_size'])) $tbms_image_size = $tbms_post_settings['tbms_image_size']; else $tbms_image_size = "tbms-custom-300"; ?>
<select id="tbms_image_size" name="tbms_image_size" class="form-control tbms-tooltips" data-toggle="tooltip" data-placement="top" title="<?php _e('Note: Custom cropped image will be available when you upload new images after plugin installation.', TBMS_TXTDM); ?>">
	<option value="thumbnail" <?php if($tbms_image_size == "thumbnail") echo "selected=selected"; ?>><?php _e('Thumbnail', TBMS_TXTDM); ?></option>
	<option value="medium" <?php if($tbms_image_size == "medium") echo "selected=selected"; ?>><?php _e('Medium', TBMS_TXTDM); ?></option>
	<option value="large" <?php if($tbms_image_size == "large") echo "selected=selected"; ?>><?php _e('Large', TBMS_TXTDM); ?></option>
	<option value="full" <?php if($tbms_image_size == "full") echo "selected=selected"; ?>><?php _e('Full', TBMS_TXTDM); ?></option>
	<option value="tbms-custom-300" <?php if($tbms_image_size == "tbms-custom-300") echo "selected=selected"; ?>><?php _e('Custom 300x300', TBMS_TXTDM); ?></option>
	<option value="tbms-custom-500" <?php if($tbms_image_size == "tbms-custom-500") echo "selected=selected"; ?>><?php _e('Custom 500x500', TBMS_TXTDM); ?></option>
</select>
<div class="team-titles"><?php _e('Team Members Per Row', TBMS_TXTDM); ?></div>
<?php if(isset($tbms_post_settings['tbms_total_column'])) $tbms_total_column = $tbms_post_settings['tbms_total_column']; else $tbms_total_column = "col-md-3"; ?>
<select id="tbms_total_column" name="tbms_total_column" class="form-control">
	<option value="col-md-3" <?php if($tbms_total_column == "col-md-3") echo "selected=selected"; ?>><?php _e('Four Member', TBMS_TXTDM); ?></option>
	<option value="col-md-4" <?php if($tbms_total_column == "col-md-4") echo "selected=selected"; ?>><?php _e('Three Member', TBMS_TXTDM); ?></option>
</select>

<div class="team-titles"><?php _e('Background & Image Hover Color', TBMS_TXTDM); ?></div>
<?php if(isset($tbms_post_settings['tbms_background_team_color'])) $tbms_background_team_color = $tbms_post_settings['tbms_background_team_color']; else $tbms_background_team_color = "#34495e"; ?>
<input type="text" id="tbms_background_team_color" name="tbms_background_team_color" value="<?php echo $tbms_background_team_color; ?>" default-color="<?php echo $tbms_background_team_color; ?>">		

<div class="team-titles"><?php _e('Member Bio Color', TBMS_TXTDM); ?></div>
<?php if(isset($tbms_post_settings['tbms_decription_color'])) $tbms_decription_color = $tbms_post_settings['tbms_decription_color']; else $tbms_decription_color = "#ffffff"; ?>
<input type="text" id="tbms_decription_color" name="tbms_decription_color" value="<?php echo $tbms_decription_color; ?>" default-color="<?php echo $tbms_decription_color; ?>">		

<div class="team-titles"><?php _e('Open Link In', TBMS_TXTDM); ?></div>
<p class="switch-field em_size_field">
	<?php if(isset($tbms_post_settings['tbms_link_tab'])) $tbms_link_tab = $tbms_post_settings['tbms_link_tab']; else $tbms_link_tab = "_blank"; ?>
	<input type="radio" name="tbms_link_tab" id="team_link_tab1" value="_blank" <?php if($tbms_link_tab == "_blank") echo "checked=checked"; ?>>
	<label for="team_link_tab1"><?php _e('New Tab', TBMS_TXTDM); ?></label>
	<input type="radio" name="tbms_link_tab" id="team_link_tab2" value="_self" <?php if($tbms_link_tab == "_self") echo "checked=checked"; ?>>
	<label for="team_link_tab2"><?php _e('Same Tab', TBMS_TXTDM); ?></label>
</p>
<div class="team-titles"><?php _e('Custom Css', TBMS_TXTDM); ?></div>
<?php if(isset($tbms_post_settings['tbms_custom_css'])) $tbms_custom_css = $tbms_post_settings['tbms_custom_css']; else $tbms_custom_css = ""; ?>
<p>
<textarea type="text" id="tbms_custom_css" name="tbms_custom_css" class="form-control" placeholder="<?php _e('Custom Css', TBMS_TXTDM); ?>" rows="3"><?php echo $tbms_custom_css; ?></textarea>
</p>

<script>
jQuery(document).ready(function(){
	// bootstrap tooltips
	jQuery('.tbms-tooltips').tooltip();
});
</script>